This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 836276 (CVE-2012-3467)

Summary: CVE-2012-3467 qpid-cpp-server-cluster: unauthorized broker access caused by the use of NullAuthenticator catch-up shadow connections
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aconway, amaris, ccoleman, jross, kim.vdriet, ktietz, messaging-bugs, mrg-program-list, security-response-team, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120622,reported=20120622,source=upstream,cvss2=6.4/AV:N/AC:L/Au:N/C:P/I:P/A:N,rhel-6/qpid-cpp=notaffected,rhel-6/mingw32-qpid-cpp=notaffected,mrg-2/qpid-cpp=affected,openshift-1/qpid-cpp=notaffected,fedora-all/qpid-cpp=notaffected,fedora-16/mingw32-qpid-cpp=notaffected
Fixed In Version: qpid-cpp 0.17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-19 16:16:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 834608    
Bug Blocks: 767033, 817177    

Description Jan Lieskovsky 2012-06-28 10:35:38 EDT
In the AMQP messaging scheme implementation each broker can have both, direct connections and shadow connections. A shadow connection represents a connection to another broker in the cluster. Members use shadow connections to simulate the actions of other brokers, so that all members arrive at the same time. Output for shadow connections is just discarded, brokers only send data to their directly-connected clients.

A security flaw was found in the way the Apache Qpid C++ implementation performed authentication of connections creating "catch-up" shadow connections, which are used when broker joins the cluster. An AMQP client could use this to fake shadow connections to the AMQP broker. This issue was caused by using NullAuthenticator mechanism for authenticating these "catch-up" shadow connection and was fixed by making broker require authentication.

Upstream ticket:
[1] https://issues.apache.org/jira/browse/QPID-3849

Relevant upstream patch:
[2] http://svn.apache.org/viewvc?view=revision&revision=1352992
Comment 3 errata-xmlrpc 2012-09-19 13:21:38 EDT
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2012:1277 https://rhn.redhat.com/errata/RHSA-2012-1277.html
Comment 4 errata-xmlrpc 2012-09-19 13:30:38 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1279 https://rhn.redhat.com/errata/RHSA-2012-1279.html